#version 330 core
layout (location = 0) in vec3 aPos;
layout (location = 1) in vec3 aColor;
layout (location = 2) in vec2 aTexCoord;

out vec3 vPos;
out vec3 vCol;
out vec2 tCoord;
uniform float offset;
uniform mat4 transform;

void main() {
    gl_Position = transform * vec4(aPos, 1.0);
    vPos = aPos;
    vCol = aColor;
    tCoord = aTexCoord;
}
